|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QItemEditorCreatorBase Class Reference

The QItemEditorCreatorBase class provides an abstract base class that must be subclassed when implementing new item editor creators. More...

    #include <QItemEditorCreatorBase>

Part of the QtGui module.

- List of all members, including inherited members

### Public Functions

- virtual ~QItemEditorCreatorBase ()
- virtual QWidget * createWidget ( QWidget * parent ) const = 0
- virtual QByteArray valuePropertyName () const = 0

## Detailed Description

The QItemEditorCreatorBase class provides an abstract base class that must be subclassed when implementing new item editor creators.

Item editor creators are specialized widget factories that provide editor widgets for specific types of item data. QItemEditorFactory finds the appropriate factory for editors using a QVariant-based scheme to associate data types with editor creators.

See also QItemEditorFactory.

## Member Function Documentation

### QItemEditorCreatorBase::~QItemEditorCreatorBase () `[virtual]`

Destroys the editor creator object.

### QWidget * QItemEditorCreatorBase::createWidget ( QWidget * parent ) const `[pure virtual]`

Returns an editor widget with the given parent.

When implementing this function in subclasses of this class, you must construct and return new editor widgets with the parent widget specified.

### QByteArray QItemEditorCreatorBase::valuePropertyName () const `[pure virtual]`

Returns the name of the property associated with the creator's editor widgets.

When implementing this function in subclasses, the property name you must return corresponds to the type of value that your editor widgets are designed to edit.